/*
 * Analogue TV Player plugin for VDR
 *
 * Copyright (C) 2003, 2005 Andreas Kool <akool@gmx.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 *
 * Version: $Id: status.c,v 1.7 2005/01/09 18:16:09 akool Exp $
 * Release: $Name:  $
 *
 */

#include <stdint.h>
#include "player-analogtv.h"
#include "status.h"

// --- AnalogtvStatus ------------------------------------------------------

void cAnalogtvStatus::AnalogtvStatus()
{
  recordings = 0;
  replays = 0;
}

void cAnalogtvStatus::Recording(const cDevice *Device, const char *Name)
{
  if (Name == NULL) {
    d(1, "Stop recording #%d", recordings);
    recordings--; // recording stopped
  }
  else {
    recordings++; // recording started
    d(1, "Start recording #%d: %s on device %d", recordings, Name, Device->CardIndex());
  }
}

void cAnalogtvStatus::Replaying(const cControl *Control, const char *Name)
{
  if (Name == NULL) {
    d(1, "Stop replay #%d", replays);
    replays--; // replaying stopped
  }
  else {
    replays++; // replaying started
    d(1, "Start replay #%d: %s", replays, Name);
  }
}

void cAnalogtvStatus::ChannelSwitch(const cDevice *Device, int ChannelNumber)
{
  d(1, "Switching to channel %d on device %d", ChannelNumber, Device->CardIndex());
}
